%define upstream_name    Dist-Zilla-Plugin-Test-PodSpelling
%define upstream_version 2.007000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Release tests for POD spelling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Script) >= 1.50.0
BuildRequires: perl(Test::Spelling) >= 0.120.0
BuildRequires: perl(Test::Tester)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-PodSpellingTests <= 1.111.520
Provides:   perl-Dist-Zilla-Plugin-PodSpellingTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/pod-spell.t - a standard Test::Spelling test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.7.0-2.mga6
+ Revision: 1026608
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2.7.0-1.mga6
+ Revision: 923923
- Add missing BR
- update to 2.007000

* Sat Jul 04 2015 sander85 <sander85> 2.6.9-1.mga6
+ Revision: 850251
- update to 2.006009

* Wed Oct 15 2014 umeabot <umeabot> 2.6.8-3.mga5
+ Revision: 748762
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 2.6.8-1.mga5
+ Revision: 638325
- update to 2.006008

* Fri Mar 14 2014 jquelin <jquelin> 2.6.7-1.mga5
+ Revision: 603722
- update to 2.006007

* Fri Feb 28 2014 jquelin <jquelin> 2.6.6-1.mga5
+ Revision: 597820
- update to 2.006006

* Tue Feb 25 2014 jquelin <jquelin> 2.6.5-1.mga5
+ Revision: 597052
- update to 2.006005

* Sat Feb 08 2014 sander85 <sander85> 2.6.2-1.mga5
+ Revision: 586541
- update to 2.006002

* Sat Oct 19 2013 umeabot <umeabot> 2.6.1-2.mga4
+ Revision: 534153
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 2.6.1-1.mga4
+ Revision: 476323
- update to 2.006001

* Fri Jun 07 2013 jquelin <jquelin> 2.6.0-1.mga4
+ Revision: 439183
- update to 2.006000

* Sun Jan 13 2013 umeabot <umeabot> 2.2.6-2.mga3
+ Revision: 366511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.2.6-1.mga3
+ Revision: 342105
- update to 2.002006

* Wed Jul 04 2012 jquelin <jquelin> 2.2.5-1.mga3
+ Revision: 267330
- update to 2.002005

* Tue Jun 05 2012 jquelin <jquelin> 2.2.4-1.mga3
+ Revision: 254910
- update to 2.002004

* Wed Jan 25 2012 jquelin <jquelin> 2.2.1-1.mga2
+ Revision: 200867
- update to 2.002001

* Thu Dec 15 2011 jquelin <jquelin> 2.1.4-1.mga2
+ Revision: 181816
- update to 2.001004

* Mon Aug 29 2011 jquelin <jquelin> 2.0.0-1.mga2
+ Revision: 136024
- update to v2.0.0
- dist renamed upstream

* Wed Jun 15 2011 jquelin <jquelin> 1.111.520-1.mga2
+ Revision: 106873
- update to 1.111520

* Fri Feb 25 2011 jquelin <jquelin> 1.103.491-1.mga1
+ Revision: 59763
- update to 1.103491

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40527
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PodSpellingTests

